PROXYTUNNEL(1)

NAME
proxytunnel - program to tunnel a connection throught an standard HTTPS proxy.

SYNOPSIS
proxytunnel [options]

DESCRIPTION
This manual page documents the proxytunnel command. proxytunnel is a program that open a tunnel through a HTTPS proxy.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-h, --help
    Print help and exit.

-V, --version
    kPrint the version of the program and exit.

-i, --inetd
    Run from inetd. Default is off.

-F STRING, --passfile=STRING
    The file containing Username & Password to send to HTTPS proxy for authentification. This file uses the same format as .wgetrc, and so can use the credentials in common with wget. This option can be used to at least hide the password from anyone clever enough to use the `ps' command.

-p STRING, --proxy=STRING
    The HTTPS Proxy host:port combo to connect to.

-P STRING, --proxyauth=STRING
    The credentials (user:pass) to use for local HTTP(S) proxy authentication.

-d STRING, --dest=STRING
    The destination host:port to built the tunnel to.

-r STRING, --remproxy=STRING
    The second-level proxy host:port to connect to.

-R STRING, --remproxyauth=STRING
    The credentials (user:pass) to use for remote HTTP(S) proxy authentication.

-v, --verbose
    Turn on verbosity. Default is off.

-q, --quiet
    Suppress messages. Default is off.

NOTES
To use this program with OpenSSH to connect to a host somewhere, create a $HOME/.ssh/config file with the following content: Host foobar
    ProtocolKeepAlives 30
    ProxyCommand /usr/bin/proxytunnel -p proxy.customer.com:8080 -u user -s password -d mybox.athome.nl:443 If your proxy doesn't require the username and password for using it, you can skip these options. If you want to run proxytunnel from inetd add the '--inetd' option. Most HTTPS proxies do not allow access to ports other than 443 (HTTPS) and 563 (SNEWS), so some hacking is necessary to start the SSH daemon on the required port. (On the server side add an extra Port statement in the sshd_config file)

AUTHOR
This manual page was written by Loïc Le Guyader <loic.leguyader@laposte.net>, for the Debian GNU/Linux system (but may be used by others).